> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv2tensorshotsprojects jobsimage to video callback

> Run the post operation for this API flow.

Run the main steps in order and keep side effects in this scope.

Args:
    request: Input value used by this function.
    args: Input value used by this function.
    kwargs: Input value used by this function.

Returns:
    Result value returned to the caller.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ post /api/v2/tensorshots/projects/{project_pk}/jobs/image-to-video/{job_pk}/callback/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/projects/{project_pk}/jobs/image-to-video/{job_pk}/callback/:
    post:
      tags:
        - v2
      description: |-
        Run the post operation for this API flow.

        Run the main steps in order and keep side effects in this scope.

        Args:
            request: Input value used by this function.
            args: Input value used by this function.
            kwargs: Input value used by this function.

        Returns:
            Result value returned to the caller.
      operationId: v2_tensorshots_projects_jobs_image_to_video_callback_create
      parameters:
        - in: path
          name: job_pk
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: project_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallbackRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CallbackRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CallbackRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallbackRequest'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
        - {}
components:
  schemas:
    CallbackRequest:
      type: object
      description: Serializer for validating webhook callback request URL parameters.
      properties:
        job_pk:
          type: string
          format: uuid
        project_pk:
          type: string
          format: uuid
        shot_pk:
          type: string
          format: uuid
        project_real_estate_pk:
          type: string
          format: uuid
      required:
        - job_pk
    ValidationError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        non_field_errors:
          type: array
          items:
            type: string
      required:
        - errors
        - non_field_errors
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
      required:
        - detail
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````